Match Day Programme
Membership
Gold Sponsor - Ogier
GT Guernsey Rugby Academy
Powered By
Guernsey Raiders
Home
Matches
Teams
News
Media
Contact
Information
join
Login
Login
join
Login
Home
Matches
Teams
News
Media
Contact
Information
Club Links
Match Day Programme
Membership
Gold Sponsor - Ogier
GT Guernsey Rugby Academy
Back
Create Account
OR
Login
Email address
Password
Login
Forgotten your password?
Login with facebook
Powered By
Media
Club Photos
Club Videos
Upload
8 Nov 2021
A Taste of Siam 2021
Gallery
36 Photos
1 Nov 2021
Guernsey Raiders v Redruth RFC 2021
Gallery
8 Photos
25 Oct 2021
Guernsey Raiders v Henley Hawks 2021
Gallery
13 Photos
24 Oct 2021
Ladies Player Profile Photos 2021/22
Gallery
40 Photos
8 Sep 2021
Guernsey Ladies - Amazons v Valkyries August 2021
Gallery
12 Photos
25 Aug 2020
Guernsey Raiders v Douglas RFC - Crown Trophy 2020
Gallery
38 Photos
14 Aug 2020
Guernsey Rugby Covid-19 Comeback 7's Festival August 2020
Gallery
48 Photos
2 Mar 2020
Guernsey Raiders v Bedford Athletic 2020
Gallery
35 Photos
25 Feb 2020
Guernsey Raiders Ladies v Ashford Ladies 2020
Gallery
49 Photos
17 Feb 2020
Guernsey Raiders v Sevenoaks RFC 2020
Gallery
31 Photos
27 Jan 2020
Guernsey Raiders Ladies v London Irish Ladies 2020
Gallery
35 Photos
27 Jan 2020
Guernsey Raiders v LIWG 2020
Gallery
33 Photos
13 Jan 2020
Grant Thornton Academy U15's v Brighton 2020
Gallery
51 Photos
13 Jan 2020
Guernsey Raiders v Rochford Hundred 2020
Gallery
44 Photos
8 Jan 2020
Guernsey Raiders v Hertford RFC 2020
Gallery
33 Photos
8 Jan 2020
Guernsey Raiders Ladies v Southampton Ladies 2020
Gallery
34 Photos
16 Dec 2019
Guernsey Raiders v Guildford RFC 2019
Gallery
39 Photos
9 Dec 2019
Guernsey Raiders Ladies v Heathfield & Waldron 2019
Gallery
49 Photos
25 Nov 2019
Guernsey Raiders Ladies v Streatham & Croydon 2019
Gallery
32 Photos
25 Nov 2019
Guernsey Raiders v Sidcup RFC 2019
Gallery
38 Photos
11 Nov 2019
Guernsey Rugby Academy U13 v Midhurst 2019
Gallery
88 Photos
11 Nov 2019
Guernsey Raiders v Tring RFC 2019
Gallery
43 Photos
6 Nov 2019
Guernsey Raiders Ladies v Canterbury 2019
Gallery
47 Photos
21 Oct 2019
Guernsey Rugby Academy U12's v Brighton 2019
Gallery
50 Photos
1
2
3
…
13